Get Callings
Endpoint to get all callings. Supports query parameters for filtering and pagination.
Authenticated users can see all callings, while anonymous users can only see callings that are marked as public.
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/callings/"nullUpload User Photo POST
Endpoint to upload a photo for a user. Accepts a single image file upload, validates the content-type, saves the file under the backend static/profile_images directory and updates the user's `profile_image` to the proxied URL (`/api/static/profile_images/<file>`). If `user_id` is provided, uploads for that user (requires MANAGE_USERS permission unless uploading for self). If omitted, uploads for the authenticated user.
Create Calling POST
Endpoint to create a new calling. Expects a JSON body with the calling details. The calling name must be unique.